{
  stdenv,
  buildGoModule,
  fetchgit,
  lib,
}:
buildGoModule rec {
  pname = "warpssh";
  version = "1.0";

  src = fetchgit {
    url = "https://git.kropcloud.net/JustScreaMy/warpssh.git";
    rev = "refs/tags/${version}";
    hash = "sha256-oMtUQYYqJ+/ezNrFVhNL8LBcqf0P9w8Dq1Gt28sgxLI=";
  };

  ldflags = [ "-s -w" ];

  vendorHash = "sha256-NFe8i8S2yVl7I/mwgghvsFIHHEyaIo4B8SkKChJu6nI=";

  meta = {
    description = "Fuzzyfind your warpgate servers!";
    homepage = "https://git.kropcloud.net/JustScreaMy/warpssh";
  };
}
